<?php

namespace EventPortal\Domain\Permission\Models;

use EventPortal\Domain\Component\Option;
use OwenIt\Auditing\Auditable;
use OwenIt\Auditing\Contracts\Auditable as AuditableInterface;
use Spatie\Permission\Models\Role as RoleModel;

class Role extends RoleModel implements AuditableInterface
{
    use Auditable;

    public static function allAsOptions(): array
    {
        return Role::all()
            ->map(function (Role $role) {
                return Option::make($role->label)->value($role->id);
            })
            ->toArray();
    }
}
